#ifndef   __GLOBAL_H_
#define  __GLOBAL_H_



#define  COM1_EN           FP12=0
#define  COM1_DIS          FP12=1

#define  COM2_EN           FP13=0
#define  COM2_DIS          FP13=1

#define  LED1_EN           FP11=1
#define  LED1_DIS          FP11=0

#define  LED2_EN           FP35=1
#define  LED2_DIS          FP35=0

#define  LED3_EN           FP34=1
#define  LED3_DIS          FP34=0

#define  LED4_EN           FP33=1
#define  LED4_DIS          FP33=0

#define  LED5_EN           LED1_EN
#define  LED5_DIS          LED1_DIS

#define  LED6_EN           LED2_EN
#define  LED6_DIS          LED2_DIS

#define  LED7_EN           LED3_EN
#define  LED7_DIS          LED3_DIS

#define  LED8_EN           LED4_EN
#define  LED8_DIS          LED4_DIS

//#define  ON                0x00
#define  OFF               0x00
#define  FLASH_1           0x01      //FLASH的第一种闪法
#define  FLASH_2           0x02      
#define  FLASH_3           0x03      
#define  FLASH_4           0x04      
#define  FLASH_5           0x05      
#define  FLASH_6           0x06      
#define  FLASH_7           0x07      
#define  FLASH_8           0x08      
#define  FLASH_9           0x09      
#define  FLASH_10          0x0A   
#define  FLASH_11          0x0B  
#define  FLASH_12          0x0C  
#define  FLASH_13          0x0D  
#define  FLASH_14          0x0E  
#define  FLASH_15          0x0F  
#define  FLASH_16          0x10
#define  LEFT_1            0x11
#define  LEFT_2            0x12
#define  MIDDLE_1          0x13
#define  MIDDLE_2          0x14
#define  RIGHT_1           0x15
#define  RIGHT_2           0x16

struct LED_STRUCT
{
  uint8_t u8ledStatus;     //当前状态  
  uint8_t u8ledStatusBak;  //关机前的状态
  uint8_t u8ledFlashStatus;//Flash的状态
  uint8_t u8ledFlag;       //LED亮灭控制  
  uint8_t u8x;
  uint8_t u8i;
};
extern struct LED_STRUCT ledStruct;
/*
struct TIMER_STRUCT
{
  uint8_t u8SecTmp;
  uint8_t u8MinTmp;
  uint8_t u8HourTmp;              
};
extern struct TIMER_STRUCT timerStruct;
*/
extern void uart_send_sync_signal(void);
extern void scan_led(void);
extern void led_ctr(void);
extern void system_init(void);
extern void key_service(void);
extern void sleep_ctr(void);
extern void read_dat_from_e2porom(void);
#endif

