#ifndef   __KEY_H
#define   __KEY_H

//#define    P_ONOFF     PB_IDR_IDR6
//#define    P_5V        PB_IDR_IDR5
//#define    P_CHRG      PB_IDR_IDR7

#define    KEY_PIN_IN      FP30M=0   
#define    KEY_PIN_OUT     FP30=0;FP30M=1	
    
#define    P_KEY_ONOFF     FP30     
#define    P_KEY_FLASH     FP31     
#define    P_KEY_LEFT      FP32

#define    P_KEY_MIDDLE    P_KEY_FLASH  
#define    P_KEY_RIGHT     P_KEY_LEFT  

struct KEY_STRUCT
{
  uint8_t   u8PinNow;
  uint8_t   u8PinLast;
  uint8_t   bitLock; 
  uint8_t   bitShortClick;
  uint8_t   u8count1;                 
  uint8_t   u8count2;
  uint8_t   u8KeyValue;  
};  

//#define SWITCH_MAX          3
//#define SW_ONOFF            0
//#define SW_5V               1
//#define SW_CHRG             2

//struct SWITCH_STRUCT
//{
//  uint8_t   bitStatus;             //    
//  uint8_t u8count1;              //   
//  uint8_t u8count2;             //   
//}; 



//extern struct SWITCH_STRUCT structSwitch[SWITCH_MAX];
extern struct KEY_STRUCT structKey;    
extern void scan_key(void);
#endif